%define upstream_name    Any-Moose
%define upstream_version 0.20

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Use Moose or Mouse modules
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/S/SA/SARTAK/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Moose)
BuildArch:  noarch

Requires:   perl(Mouse)
%description
Actual documentation is forthcoming, once we solidify all the bits of the
API. The examples above are very likely to continue working.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.200.0-2.mga3
+ Revision: 362927
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.200.0-1.mga3
+ Revision: 341909
- update to 0.20

* Tue Nov 08 2011 kharec <kharec> 0.180.0-1.mga2
+ Revision: 165619
- Add Br on perl(Moose)
- update to 0.18

* Mon Sep 26 2011 jquelin <jquelin> 0.170.0-1.mga2
+ Revision: 148124
- adding missing buildrequires:
- update to 0.17

* Wed Jun 15 2011 jquelin <jquelin> 0.150.0-1.mga2
+ Revision: 106450
- update to 0.15

* Sun Jan 23 2011 jquelin <jquelin> 0.130.0-1.mga1
+ Revision: 33572
- mageia rebuild
- imported package perl-Any-Moose

